#include <bits/stdc++.h>
using namespace std;
int main()
{
    int n;
    cin >> n;
    int h;
    cin >> h;
    int resenje= -1;
    for (int i = 1; i < n+1; i++){
        int sh;
        cin >> sh;
        if (h>=sh){
            resenje=i;
            break;
        }
    }
    cout << resenje;
}